<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="SELECTIVE" />
  </component>
  <component name="CMakePresetLoader">{
  &quot;useNewFormat&quot;: true
}</component>
  <component name="CMakeReloadState">
    <option name="reloaded" value="true" />
  </component>
  <component name="CMakeRunConfigurationManager">
    <generated>
      <config projectName="gmv-gateway-board" targetName="gmv-gateway-board.elf" />
    </generated>
  </component>
  <component name="CMakeSettings">
    <configurations>
      <configuration PROFILE_NAME="Debug-MinGW" ENABLED="true" CONFIG_NAME="Debug" TOOLCHAIN_NAME="MinGW" />
    </configurations>
  </component>
  <component name="ChangeListManager">
    <list default="true" id="01ce1271-fbf8-4e14-b10b-a2875bdb8cd4" name="更改" comment="">
      <change afterPath="$PROJECT_DIR$/.idea/codeStyles/codeStyleConfig.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/modules.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/Core/Inc/modbus_slave.h" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/Core/Src/modbus_slave.c" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/Middlewares/Third_Party/FreeModbus/bsd.txt" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/Middlewares/Third_Party/FreeModbus/gpl.txt" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/Middlewares/Third_Party/FreeModbus/lgpl.txt" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/Middlewares/Third_Party/FreeModbus/modbus/ascii/mbascii.c" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/Middlewares/Third_Party/FreeModbus/modbus/ascii/mbascii.h" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/Middlewares/Third_Party/FreeModbus/modbus/functions/mbfunccoils.c" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/Middlewares/Third_Party/FreeModbus/modbus/functions/mbfunccoils_m.c" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/Middlewares/Third_Party/FreeModbus/modbus/functions/mbfuncdiag.c" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/Middlewares/Third_Party/FreeModbus/modbus/functions/mbfuncdisc.c" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/Middlewares/Third_Party/FreeModbus/modbus/functions/mbfuncdisc_m.c" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/Middlewares/Third_Party/FreeModbus/modbus/functions/mbfuncfile.c" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/Middlewares/Third_Party/FreeModbus/modbus/functions/mbfuncholding.c" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/Middlewares/Third_Party/FreeModbus/modbus/functions/mbfuncholding_m.c" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/Middlewares/Third_Party/FreeModbus/modbus/functions/mbfuncinput.c" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/Middlewares/Third_Party/FreeModbus/modbus/functions/mbfuncinput_m.c" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/Middlewares/Third_Party/FreeModbus/modbus/functions/mbfuncother.c" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/Middlewares/Third_Party/FreeModbus/modbus/functions/mbutils.c" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/Middlewares/Third_Party/FreeModbus/modbus/include/mb.h" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/Middlewares/Third_Party/FreeModbus/modbus/include/mb_m.h" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/Middlewares/Third_Party/FreeModbus/modbus/include/mbconfig.h" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/Middlewares/Third_Party/FreeModbus/modbus/include/mbframe.h" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/Middlewares/Third_Party/FreeModbus/modbus/include/mbfunc.h" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/Middlewares/Third_Party/FreeModbus/modbus/include/mbport.h" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/Middlewares/Third_Party/FreeModbus/modbus/include/mbproto.h" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/Middlewares/Third_Party/FreeModbus/modbus/include/mbutils.h" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/Middlewares/Third_Party/FreeModbus/modbus/mb.c" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/Middlewares/Third_Party/FreeModbus/modbus/rtu/mbcrc.c" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/Middlewares/Third_Party/FreeModbus/modbus/rtu/mbcrc.h" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/Middlewares/Third_Party/FreeModbus/modbus/rtu/mbrtu.c" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/Middlewares/Third_Party/FreeModbus/modbus/rtu/mbrtu.h" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/Middlewares/Third_Party/FreeModbus/modbus/tcp/mbtcp.c" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/Middlewares/Third_Party/FreeModbus/modbus/tcp/mbtcp.h" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/Middlewares/Third_Party/FreeModbus/port/cmsis_rtos2/portcritical.c" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/Middlewares/Third_Party/FreeModbus/port/cmsis_rtos2/portevent.c" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/Middlewares/Third_Party/FreeModbus/port/cmsis_rtos2/portserial.c" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/Middlewares/Third_Party/FreeModbus/port/cmsis_rtos2/porttimer.c" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/Middlewares/Third_Party/FreeModbus/port/port.h" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/Middlewares/Third_Party/FreeModbus/port/user_mb_app.c" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/Middlewares/Third_Party/FreeModbus/port/user_mb_app.h" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.mxproject" beforeDir="false" afterPath="$PROJECT_DIR$/.mxproject" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/CMakeLists.txt" beforeDir="false" afterPath="$PROJECT_DIR$/CMakeLists.txt" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/Core/Inc/ffx_master.h" beforeDir="false" afterPath="$PROJECT_DIR$/Core/Inc/ffx_master.h" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/Core/Inc/mini_gateway_master.h" beforeDir="false" afterPath="$PROJECT_DIR$/Core/Inc/mini_gateway_master.h" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/Core/Inc/stm32f1xx_it.h" beforeDir="false" afterPath="$PROJECT_DIR$/Core/Inc/stm32f1xx_it.h" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/Core/Src/ffx_master.c" beforeDir="false" afterPath="$PROJECT_DIR$/Core/Src/ffx_master.c" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/Core/Src/main.c" beforeDir="false" afterPath="$PROJECT_DIR$/Core/Src/main.c" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/Core/Src/mini_gateway_master.c" beforeDir="false" afterPath="$PROJECT_DIR$/Core/Src/mini_gateway_master.c" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/Core/Src/stm32f1xx_it.c" beforeDir="false" afterPath="$PROJECT_DIR$/Core/Src/stm32f1xx_it.c" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/.cmake/api/v1/reply/cache-v2-c2d184a70121e4b5cc51.json" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/.cmake/api/v1/reply/cmakeFiles-v1-27eb94a99a8aa9ca0fc1.json" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/.cmake/api/v1/reply/codemodel-v2-6b33da970254852e2625.json" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/.cmake/api/v1/reply/index-2024-10-17T10-08-27-0165.json" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/.cmake/api/v1/reply/target-gmv-gateway-board.elf-Debug-326a890ddc764dc957b2.json" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/.ninja_deps" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug-mingw/.ninja_deps" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/.ninja_log" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug-mingw/.ninja_log" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeCache.txt" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeCache.txt" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/3.28.1/CMakeDetermineCompilerABI_C.bin" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/3.28.1/CMakeDetermineCompilerABI_C.bin" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/3.28.1/CMakeDetermineCompilerABI_CXX.bin" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/3.28.1/CMakeDetermineCompilerABI_CXX.bin" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/CMakeConfigureLog.yaml" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/CMakeConfigureLog.yaml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/TargetDirectories.txt" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/TargetDirectories.txt" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/clion-Debug-MinGW-log.txt" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/clion-Debug-MinGW-log.txt" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Core/Src/ffx_master.c.obj" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Core/Src/ffx_master.c.obj" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Core/Src/freertos.c.obj" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Core/Src/freertos.c.obj" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Core/Src/gpio.c.obj" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Core/Src/gpio.c.obj" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Core/Src/main.c.obj" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Core/Src/main.c.obj" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Core/Src/mini_gateway_master.c.obj" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Core/Src/mini_gateway_master.c.obj" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Core/Src/modbus.c.obj" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Core/Src/modbus.c.obj" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Core/Src/stm32f1xx_hal_msp.c.obj" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Core/Src/stm32f1xx_hal_msp.c.obj" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Core/Src/stm32f1xx_hal_timebase_tim.c.obj" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Core/Src/stm32f1xx_hal_timebase_tim.c.obj" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Core/Src/stm32f1xx_it.c.obj" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Core/Src/stm32f1xx_it.c.obj" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Core/Src/syscalls.c.obj" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Core/Src/syscalls.c.obj" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Core/Src/sysmem.c.obj" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Core/Src/sysmem.c.obj" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Core/Src/system_stm32f1xx.c.obj" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Core/Src/system_stm32f1xx.c.obj" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Core/Src/usart.c.obj" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Core/Src/usart.c.obj" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Core/Startup/startup_stm32f103rctx.s.obj" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Core/Startup/startup_stm32f103rctx.s.obj" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Drivers/STM32F1xx_HAL_Driver/Src/stm32f1xx_hal.c.obj" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Drivers/STM32F1xx_HAL_Driver/Src/stm32f1xx_hal.c.obj" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Drivers/STM32F1xx_HAL_Driver/Src/stm32f1xx_hal_cortex.c.obj" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Drivers/STM32F1xx_HAL_Driver/Src/stm32f1xx_hal_cortex.c.obj" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Drivers/STM32F1xx_HAL_Driver/Src/stm32f1xx_hal_dma.c.obj" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Drivers/STM32F1xx_HAL_Driver/Src/stm32f1xx_hal_dma.c.obj" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Drivers/STM32F1xx_HAL_Driver/Src/stm32f1xx_hal_exti.c.obj" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Drivers/STM32F1xx_HAL_Driver/Src/stm32f1xx_hal_exti.c.obj" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Drivers/STM32F1xx_HAL_Driver/Src/stm32f1xx_hal_flash.c.obj" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Drivers/STM32F1xx_HAL_Driver/Src/stm32f1xx_hal_flash.c.obj" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Drivers/STM32F1xx_HAL_Driver/Src/stm32f1xx_hal_flash_ex.c.obj" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Drivers/STM32F1xx_HAL_Driver/Src/stm32f1xx_hal_flash_ex.c.obj" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Drivers/STM32F1xx_HAL_Driver/Src/stm32f1xx_hal_gpio.c.obj" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Drivers/STM32F1xx_HAL_Driver/Src/stm32f1xx_hal_gpio.c.obj" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Drivers/STM32F1xx_HAL_Driver/Src/stm32f1xx_hal_gpio_ex.c.obj" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Drivers/STM32F1xx_HAL_Driver/Src/stm32f1xx_hal_gpio_ex.c.obj" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Drivers/STM32F1xx_HAL_Driver/Src/stm32f1xx_hal_pwr.c.obj" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Drivers/STM32F1xx_HAL_Driver/Src/stm32f1xx_hal_pwr.c.obj" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Drivers/STM32F1xx_HAL_Driver/Src/stm32f1xx_hal_rcc.c.obj" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Drivers/STM32F1xx_HAL_Driver/Src/stm32f1xx_hal_rcc.c.obj" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Drivers/STM32F1xx_HAL_Driver/Src/stm32f1xx_hal_rcc_ex.c.obj" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Drivers/STM32F1xx_HAL_Driver/Src/stm32f1xx_hal_rcc_ex.c.obj" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Drivers/STM32F1xx_HAL_Driver/Src/stm32f1xx_hal_tim.c.obj" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Drivers/STM32F1xx_HAL_Driver/Src/stm32f1xx_hal_tim.c.obj" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Drivers/STM32F1xx_HAL_Driver/Src/stm32f1xx_hal_tim_ex.c.obj" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Drivers/STM32F1xx_HAL_Driver/Src/stm32f1xx_hal_tim_ex.c.obj" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Drivers/STM32F1xx_HAL_Driver/Src/stm32f1xx_hal_uart.c.obj" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Drivers/STM32F1xx_HAL_Driver/Src/stm32f1xx_hal_uart.c.obj" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Middlewares/Third_Party/FreeRTOS/Source/CMSIS_RTOS_V2/cmsis_os2.c.obj" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Middlewares/Third_Party/FreeRTOS/Source/CMSIS_RTOS_V2/cmsis_os2.c.obj" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Middlewares/Third_Party/FreeRTOS/Source/croutine.c.obj" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Middlewares/Third_Party/FreeRTOS/Source/croutine.c.obj" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Middlewares/Third_Party/FreeRTOS/Source/event_groups.c.obj" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Middlewares/Third_Party/FreeRTOS/Source/event_groups.c.obj" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Middlewares/Third_Party/FreeRTOS/Source/list.c.obj" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Middlewares/Third_Party/FreeRTOS/Source/list.c.obj" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Middlewares/Third_Party/FreeRTOS/Source/portable/GCC/ARM_CM3/port.c.obj" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Middlewares/Third_Party/FreeRTOS/Source/portable/GCC/ARM_CM3/port.c.obj" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Middlewares/Third_Party/FreeRTOS/Source/portable/MemMang/heap_4.c.obj" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Middlewares/Third_Party/FreeRTOS/Source/portable/MemMang/heap_4.c.obj" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Middlewares/Third_Party/FreeRTOS/Source/queue.c.obj" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Middlewares/Third_Party/FreeRTOS/Source/queue.c.obj" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Middlewares/Third_Party/FreeRTOS/Source/stream_buffer.c.obj" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Middlewares/Third_Party/FreeRTOS/Source/stream_buffer.c.obj" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Middlewares/Third_Party/FreeRTOS/Source/tasks.c.obj" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Middlewares/Third_Party/FreeRTOS/Source/tasks.c.obj" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Middlewares/Third_Party/FreeRTOS/Source/timers.c.obj" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/gmv-gateway-board.elf.dir/Middlewares/Third_Party/FreeRTOS/Source/timers.c.obj" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/rules.ninja" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug-mingw/CMakeFiles/rules.ninja" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/Testing/Temporary/LastTest.log" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug-mingw/Testing/Temporary/LastTest.log" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/build.ninja" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug-mingw/build.ninja" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug-mingw/cmake_install.cmake" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug-mingw/cmake_install.cmake" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/gmv-gateway-board.ioc" beforeDir="false" afterPath="$PROJECT_DIR$/gmv-gateway-board.ioc" afterDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ClangdSettings">
    <option name="formatViaClangd" value="false" />
  </component>
  <component name="ExecutionTargetManager" SELECTED_TARGET="CMakeBuildProfile:Debug-MinGW" />
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="ProjectApplicationVersion">
    <option name="ide" value="CLion" />
    <option name="majorVersion" value="2024" />
    <option name="minorVersion" value="1.4" />
    <option name="productBranch" value="Classic" />
  </component>
  <component name="ProjectColorInfo">{
  &quot;associatedIndex&quot;: 7
}</component>
  <component name="ProjectId" id="2nV4WsYgEtOedwMFKmIl4PZl9aA" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent"><![CDATA[{
  "keyToString": {
    "CMake 应用程序.gmv-gateway-board.elf.executor": "Run",
    "OpenOCD 下载并运行.OCD gmv-gateway-board.executor": "Debug",
    "RunOnceActivity.ShowReadmeOnStart": "true",
    "RunOnceActivity.cidr.known.project.marker": "true",
    "RunOnceActivity.readMode.enableVisualFormatting": "true",
    "SHARE_PROJECT_CONFIGURATION_FILES": "true",
    "cf.first.check.clang-format": "false",
    "cidr.known.project.marker": "true",
    "git-widget-placeholder": "master",
    "last_opened_file_path": "C:/Users/DELL/Desktop/1729591886844.jpg",
    "node.js.detected.package.eslint": "true",
    "node.js.detected.package.tslint": "true",
    "node.js.selected.package.eslint": "(autodetect)",
    "node.js.selected.package.tslint": "(autodetect)",
    "nodejs_package_manager_path": "npm",
    "settings.editor.selected.configurable": "fileTemplates",
    "structure.view.defaults.are.configured": "true",
    "vue.rearranger.settings.migration": "true"
  }
}]]></component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="C:\Users\DELL\Desktop\gmv-gateway-board\Middlewares\Third_Party" />
      <recent name="C:\Users\DELL\Desktop\gmv-gateway-board\Middlewares\Third_Party\FreeRTOS\Source\CMSIS_RTOS_V2" />
      <recent name="C:\Users\DELL\CLionProjects\gmv-gateway-board\Core\Inc" />
      <recent name="C:\Users\DELL\CLionProjects\gmv-gateway-board\Core\Src" />
      <recent name="C:\Users\DELL\CLionProjects\gmv-gateway-board\Middlewares\Third_Party\FreeRTOS\Source\CMSIS_RTOS_V2" />
    </key>
    <key name="MoveFile.RECENT_KEYS">
      <recent name="C:\Users\DELL\Desktop\gmv-gateway-board\Core\Src" />
      <recent name="C:\Users\DELL\CLionProjects\gmv-gateway-board\Core\Src" />
      <recent name="C:\Users\DELL\CLionProjects\gmv-gateway-board\Core\Inc" />
    </key>
  </component>
  <component name="RunManager" selected="OpenOCD 下载并运行.OCD gmv-gateway-board">
    <configuration default="true" type="CMakeRunConfiguration" factoryName="Application" REDIRECT_INPUT="false" ELEVATE="false" USE_EXTERNAL_CONSOLE="false" EMULATE_TERMINAL="false" PASS_PARENT_ENVS_2="true">
      <method v="2">
        <option name="com.jetbrains.cidr.execution.CidrBuildBeforeRunTaskProvider$BuildBeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="gmv-gateway-board.elf" type="CMakeRunConfiguration" factoryName="Application" REDIRECT_INPUT="false" ELEVATE="false" USE_EXTERNAL_CONSOLE="false" EMULATE_TERMINAL="false" PASS_PARENT_ENVS_2="true" PROJECT_NAME="gmv-gateway-board" TARGET_NAME="gmv-gateway-board.elf" CONFIG_NAME="Debug-MinGW" RUN_TARGET_PROJECT_NAME="gmv-gateway-board" RUN_TARGET_NAME="gmv-gateway-board.elf">
      <method v="2">
        <option name="com.jetbrains.cidr.execution.CidrBuildBeforeRunTaskProvider$BuildBeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <list>
      <item itemvalue="CMake 应用程序.gmv-gateway-board.elf" />
      <item itemvalue="OpenOCD 下载并运行.OCD gmv-gateway-board" />
    </list>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="应用程序级" UseSingleDictionary="true" transferred="true" />
  <component name="TaskManager">
    <task active="true" id="Default" summary="默认任务">
      <changelist id="01ce1271-fbf8-4e14-b10b-a2875bdb8cd4" name="更改" comment="" />
      <created>1729044943562</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1729044943562</updated>
      <workItem from="1729044946903" duration="7978000" />
      <workItem from="1729056792328" duration="6444000" />
      <workItem from="1729071882365" duration="9000" />
      <workItem from="1729127338448" duration="7204000" />
      <workItem from="1729158876001" duration="66000" />
      <workItem from="1729159641169" duration="1429000" />
      <workItem from="1729161296926" duration="1810000" />
      <workItem from="1729214288847" duration="1091000" />
      <workItem from="1729217522360" duration="20756000" />
      <workItem from="1729247460332" duration="162000" />
      <workItem from="1729300053740" duration="14782000" />
      <workItem from="1729316096216" duration="1860000" />
      <workItem from="1729473635361" duration="6228000" />
      <workItem from="1729480226857" duration="19657000" />
      <workItem from="1729559621578" duration="4148000" />
      <workItem from="1729577088491" duration="602000" />
      <workItem from="1729580056881" duration="10586000" />
      <workItem from="1729651575018" duration="8708000" />
    </task>
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
  </component>
  <component name="VCPKGProject">
    <isAutomaticCheckingOnLaunch value="false" />
    <isAutomaticFoundErrors value="true" />
    <isAutomaticReloadCMake value="true" />
  </component>
  <component name="XSLT-Support.FileAssociations.UIState">
    <expand />
    <select />
  </component>
</project>